.header {
  font-family: $fontHeader;
  @include headerImageBG;
  color: $colorHeader;
  text-align: center;
  position: relative;

  &-logo_name{
    font-weight: bold;
    font-size: 24px;
    line-height: 16px;
    text-transform: uppercase;
    color: $colorHeader;
    margin-left: 17px;
  }

  &-logo_link{
    @include flex;
  }

  &-menu {
    @include flex;
    padding-top: 25px;
  }
  &-main{
    padding-bottom: 450px;
  }

  &-main_title {
    color: white;
    font-weight: bold;
    font-size: 82px;
    line-height: 82px;
    margin-top: 125px;
  }

  &-main_description{
    font-weight: normal;
    font-size: 30px;
    line-height: 30px;
    margin-top: 20px;
  }

  &-main_slogan{
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
    color: #848E97;
    margin-top: 20px;
  }

  &-logo_image {
    background-image: url("../img/header/header_logo.png");
    width: 43px;
    height: 41px;
  }
}

.header-burger{
  display: none;
  flex-direction: column;
  cursor: pointer;
  padding: 15px;
  position: absolute;
  right: 5%;
}

.header-logo {
  &:hover .header-logo_image {
    background-image: url("../img/header/header_logo_white.png");
  }

  &:hover .header-logo_name {
    color: #FFFFFF;
  }
}

.header-nav{
  margin-left: 300px;

  &_tablet{
    display: none;
  }

  &_list_item{
    font-weight: bold;
    font-size: 16px;
    line-height: 17px;
    margin-right: 47px;
  }

  &_button_btn{
    font-weight: bold;
    font-size: 16px;
    line-height: 17px;
    width: 145px;
    height: 37px;
    cursor: pointer;
    border: none;
    padding: 0;
    @include headerBtn;
  }

  &_list {
    @include flex;
    position: relative;
    z-index: 2;
  }

  &_list_item_link {
    color: $colorHeader;
    text-decoration: none;
  }

  &_button_link {
    color: white;
    text-decoration: none;
  }

  &_link{
    @include flex;
    text-decoration: none;
  }

  &_button_btn:hover {
    @include headerBtnHover;
  }

  &_list_item_link:hover{
    color: white;
  }

  &_button:hover .header-nav_button_link{
    color: $colorHeader;
  }
}

.header-button {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, calc(100% - 25px));

  &_btn{
    @include headerBtn;
    width: 390px;
    height: 45px;
    font-weight: bold;
    font-size: 21px;
    line-height: 22px;
    border: none;
    cursor: pointer;
  }

  &_description{
    font-weight: normal;
    font-size: 14px;
    line-height: 15px;
    color: #848E97;
    margin-top: 20px;
    margin-bottom: 65px;
  }

  &_link {
    color: white;
    text-decoration: none;
  }

  &_btn:hover{
    @include headerBtnHover;
  }

  &:hover .header-button_link{
    color: $colorHeader;
  }
}


@media (max-width: 992px) {
  .header-menu{
    justify-content: space-between;
  }
  .header-menu_wrap{
      background: #27262A;
    }

  .header-nav {
    display: none;

    &_list_tablet{
      display: flex;
      justify-content: center;
      padding-top: 25px;
      padding-bottom: 18px;
    }

    &_list_item_tablet{
      margin: 0;
    }

    &_list_item_tablet:not(:last-child){
      margin-right: 47px;
    }

    &_tablet{
      display: block;
    }
  }

  .header-main {
    &_title {
      font-size: 72px;
      line-height: 72px;
    }

    &_description {
      font-size: 24px;
      line-height: 24px;
    }

    &_slogan {
      font-size: 14px;
      line-height: 14px;
    }
  }
}


@media (max-width: 480px) {

  .header-nav{
    display: block;

    &_tablet{
      display: none;
    }
  }

  .header-burger {
    display: block;
    position: relative;
    z-index: 5;
    width: 26px;
    height: 20px;

    & span {
      position: absolute;
      background-color: #fff;
      left: 15px;
      width: 26px;
      height: 3px;
      border-radius: 5px;
      top: 23px;
    }

    &:before,
    &:after {
      content: "";
      background-color: #fff;
      position: absolute;
      height: 3px;
      border-radius: 5px;
      left: 15px;
    }

    &:before {
      top: 15px;
      width: 15px;
      height: 3px;
      margin-left: 11px;
    }

    &:after {
      bottom: 15px;
      width: 26px;
    }

  }

  .header-nav_list {
    position: fixed;
    top: -200%;
    right: 0;
    background: #333;
    font-size: 26px;
    line-height: 26px;
    color: #FFF;
    margin-top: 100px;
    margin-right: 15px;
    transition: all 0.3s ease 0s;
    padding: 0;
    display: block;

    &.active {
      top: 0;
    }

    &_item {
      display: block;
      text-align: left;
      font-size: 26px;
      line-height: 26px;
      padding: 35px 35px 30px;
      border: 1px solid #3b3b3b;
      position: relative;
      margin-right: 0;
    }

    &_item_link {
      color: #FFFFFF;
    }

    &_item:hover .header-nav_list_item_link {
      color: #8D81AC;
    }

    &_item:hover::before {
      content: "";
      position: absolute;
      left: 2px;
      top: 50%;
      transform: translateY(-50%);
      height: 58px;
      border-left: 8px solid $colorHeader;
    }
  }
  .header-burger.active {
    &:before {
      transform: scale(0);
    }

    &:after {
      transform: rotate(-50deg);
      bottom: 22px;
    }

    & span {
      transform: rotate(50deg);
      top: 25px;
    }
  }
  .header-menu {
    position: relative;
    background: #27262A;
    height: 100px;
    padding: 0;
  }
  .header-nav_button_btn {
    position: absolute;
    left: 30%;
    bottom: 30%;
  }
  .header-logo {
    position: absolute;
    left: 5%;

    &_name {
      display: none;
    }
  }

  .header-main {

    &_title {
      font-size: 48px;
      line-height: 48px;
      margin-top: 50px;
    }

    &_description {
      font-size: 18px;
      line-height: 24px;
    }

    &_slogan {
      font-size: 14px;
      line-height: 14px;
    }
  }
  .header-button_btn{
    width: 290px;
    height: 45px;
  }
}




